org.keycloak.authorization.client.representation

## Class ServerConfiguration

- java.lang.Object
- - org.keycloak.authorization.client.representation.ServerConfiguration

-     public class ServerConfiguration
      extends Object

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthorizationEndpoint()`
    `String` | `getCheckSessionIframe()`
    `Boolean` | `getClaimsParameterSupported()`
    `List<String>` | `getClaimsSupported()`
    `List<String>` | `getClaimTypesSupported()`
    `List<String>` | `getGrantTypesSupported()`
    `List<String>` | `getIdTokenSigningAlgValuesSupported()`
    `String` | `getIntrospectionEndpoint()`
    `String` | `getIssuer()`
    `String` | `getJwksUri()`
    `String` | `getLogoutEndpoint()`
    `String` | `getPermissionEndpoint()`
    `String` | `getPolicyEndpoint()`
    `String` | `getRegistrationEndpoint()`
    `List<String>` | `getRequestObjectSigningAlgValuesSupported()`
    `Boolean` | `getRequestParameterSupported()`
    `Boolean` | `getRequestUriParameterSupported()`
    `String` | `getResourceRegistrationEndpoint()`
    `List<String>` | `getResponseModesSupported()`
    `List<String>` | `getResponseTypesSupported()`
    `List<String>` | `getScopesSupported()`
    `List<String>` | `getSubjectTypesSupported()`
    `String` | `getTokenEndpoint()`
    `List<String>` | `getTokenEndpointAuthMethodsSupported()`
    `List<String>` | `getTokenEndpointAuthSigningAlgValuesSupported()`
    `String` | `getUserinfoEndpoint()`
    `List<String>` | `getUserInfoSigningAlgValuesSupported()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerConfiguration

          public ServerConfiguration()

  - ### Method Detail

    - #### getIssuer

          public String getIssuer()

    - #### getAuthorizationEndpoint

          public String getAuthorizationEndpoint()

    - #### getTokenEndpoint

          public String getTokenEndpoint()

    - #### getIntrospectionEndpoint

          public String getIntrospectionEndpoint()

    - #### getUserinfoEndpoint

          public String getUserinfoEndpoint()

    - #### getLogoutEndpoint

          public String getLogoutEndpoint()

    - #### getJwksUri

          public String getJwksUri()

    - #### getCheckSessionIframe

          public String getCheckSessionIframe()

    - #### getGrantTypesSupported

          public List<String> getGrantTypesSupported()

    - #### getResponseTypesSupported

          public List<String> getResponseTypesSupported()

    - #### getSubjectTypesSupported

          public List<String> getSubjectTypesSupported()

    - #### getIdTokenSigningAlgValuesSupported

          public List<String> getIdTokenSigningAlgValuesSupported()

    - #### getUserInfoSigningAlgValuesSupported

          public List<String> getUserInfoSigningAlgValuesSupported()

    - #### getRequestObjectSigningAlgValuesSupported

          public List<String> getRequestObjectSigningAlgValuesSupported()

    - #### getResponseModesSupported

          public List<String> getResponseModesSupported()

    - #### getRegistrationEndpoint

          public String getRegistrationEndpoint()

    - #### getTokenEndpointAuthMethodsSupported

          public List<String> getTokenEndpointAuthMethodsSupported()

    - #### getTokenEndpointAuthSigningAlgValuesSupported

          public List<String> getTokenEndpointAuthSigningAlgValuesSupported()

    - #### getClaimsSupported

          public List<String> getClaimsSupported()

    - #### getClaimTypesSupported

          public List<String> getClaimTypesSupported()

    - #### getClaimsParameterSupported

          public Boolean getClaimsParameterSupported()

    - #### getScopesSupported

          public List<String> getScopesSupported()

    - #### getRequestParameterSupported

          public Boolean getRequestParameterSupported()

    - #### getRequestUriParameterSupported

          public Boolean getRequestUriParameterSupported()

    - #### getResourceRegistrationEndpoint

          public String getResourceRegistrationEndpoint()

    - #### getPermissionEndpoint

          public String getPermissionEndpoint()

    - #### getPolicyEndpoint

          public String getPolicyEndpoint()

Copyright © 2021 JBoss by Red Hat. All rights reserved.